The FreeBSD Ports Archive

Freebsd | Contact
Welcome to FreeBSD Software


FreeBSD net : skype

P2P VoIP software

 Skype is a free program that uses the latest P2P technology to bring
affordable and high-quality voice communications to people all over
the world. 

http://www.skype.net/



skype history


v. 1.37
date: 2007/11/01 12:24:53;  author: beech;  state: Exp;  lines: +25 -21
- Revert to 1.2.0.18

Approved by:	portmgr (linimon, kris), sat (mentor)

v. 1.36 date: 2007/10/29 19:36:50; author: beech; state: Exp; lines: +22 -35 - Update to 1.4.0.118 Approved by: sat (mentor)
v. 1.35 date: 2007/07/30 20:58:20; author: beech; state: Exp; lines: +1 -3 - Remove conflicts Approved by: sat (mentor, implicit)
v. 1.34 date: 2007/07/19 18:22:18; author: beech; state: Exp; lines: +12 -12 - Fix master_sites - Take maintainership Approved by: itetcu (maintainer), sat (mentor)
v. 1.33 date: 2007/05/19 20:19:01; author: flz; state: Exp; lines: +1 -1 - Welcome X.org 7.2 \o/. - Set X11BASE to ${LOCALBASE} for recent ${OSVERSION}. - Bump PORTREVISION for ports intalling files in ${X11BASE}.
v. 1.32 date: 2007/01/21 12:14:28; author: itetcu; state: Exp; lines: +1 -1 Relly fix NVIDIA_GL OPTION Submitted by: ale@
v. 1.31 date: 2007/01/21 10:49:48; author: itetcu; state: Exp; lines: +2 -2 - Properly test if the user wnats NVIDIA_GL - bump PORTREVISION for depends change Submitted by: Pierre Caruel
v. 1.30 date: 2007/01/08 23:53:42; author: miwi; state: Exp; lines: +8 -6 - Add nvidia as knob Submitted by: miwi Approved by: maintainer (itetcu@ on irc)
v. 1.29 date: 2006/10/14 08:54:26; author: marcus; state: Exp; lines: +4 -12 Chase the GNOME X11BASE to LOCALBASE move, and fix the build with the new freetype2 where needed. Submitted by: mezz, ahze, pav, and many others Approved by: portmgr (implicit, kris)
v. 1.28 date: 2006/09/10 10:31:11; author: itetcu; state: Exp; lines: +4 -1 - Now it conflicts with skype-devel - Bump PORTREVISION - Use my @FreeBSD.org address
v. 1.27 date: 2005/11/01 09:41:57; author: edwin; state: Exp; lines: +1 -1 [patch] net/skype - update to 1.2.0.18 (vulnerabilities fixed) Port updated to 1.2.0.18 due to security advisory http://www.skype.com/security/skype-sb-2005-02.html http://www.skype.com/security/skype-sb-2005-03.html http://secunia.com/advisories/17305/ Patch tested on 5.4-STABLE PR: ports/88072 Submitted by: Adi Pircalabu Approved by: Ion-Mihai Tetcu
v. 1.26 date: 2005/10/02 11:58:36; author: netchild; state: Exp; lines: +1 -1 Give maintainership to Ion-Mihai Tetcu.
v. 1.25 date: 2005/10/02 10:55:07; author: netchild; state: Exp; lines: +2 -2 - Release maintainership, feel free to grab it. - Update to 1.2.0.17 [1]. PR: 86699 Submitted by: Adi Pircalabu
v. 1.24 date: 2005/09/01 10:34:27; author: netchild; state: Exp; lines: +3 -6 - Update to 1.2.0.11. - Don't print the "SOUND_MIXER_WRITE_IGAIN failed" messages. It's handled differently than in the PR (which supresses all messages from skype). PR: 84745
v. 1.23 date: 2005/07/23 10:33:01; author: netchild; state: Exp; lines: +1 -15 Add a generic message regarding the problems with some soundcards.
v. 1.22 date: 2005/07/17 20:33:50; author: netchild; state: Exp; lines: +1 -1 Unbreak default GL lib dependency. Submitted by: Ulrich Spoerlein Pointy hat to: netchild
v. 1.21 date: 2005/07/17 10:07:44; author: netchild; state: Exp; lines: +2 -1 - linux_mesa3 -> linux_dri Submitted by: Ulrich Spoerlein
v. 1.20 date: 2005/07/09 11:08:05; author: netchild; state: Exp; lines: +2 -3 Update to 1.1.0.20. PR: 83105 Submitted by: I'm not sure...
v. 1.19 date: 2005/06/25 12:40:02; author: netchild; state: Exp; lines: +7 -2 Add WITH_NIVIDIA_GL switch to depend upon x11/nvidia-driver instead upon graphics/linux_mesa3. Requested by: Marius Nuennerich
v. 1.18 date: 2005/06/19 10:20:33; author: netchild; state: Exp; lines: +4 -2 Update to 1.1.0.13. Note: I have problems with it, I see empty boxes instead of characters. But since several people reported success, and some people (except me) got it working after removing ~/.qt*, I commit it anyway.
v. 1.17 date: 2005/06/17 22:59:23; author: netchild; state: Exp; lines: +3 -3 Mega-patch to cleanup the ports infrastructure regarding our linux bits: - USE_LINUX now implies NO_FILTER_SHLIBS=yes. It also doesn't use FreeBSD tools to strip binaries anymore, so it's not neccesary anymore to override STRIP and STRIP_CMD. - USE_LINUX_PREFIX implies NO_MTREE now. - In the USE_LINUX case, USE_XLIB now depends upon the linux X11 libraries instead upon the native FreeBSD libraries. - The variable LINUX_BASE_PORT contains a string which is suitable as an item in *_DEPENDS, so if a port BATCH_DEPENDS or FETCH_DEPENDS upon the default (or overriden) linux base, ${LINUX_BASE_PORT} should be used instead of a hardcoded reference. - Change all ports to comply to the "new world order". - The Ports Collection now allows to override the default linux_base port. Specify e.g. OVERRIDE_LINUX_BASE_PORT=rh-9 in /etc/make.conf to use ${PORTSDIR}/emulators/linux_base-rh-9 (the logic is to use ${PORTSDIR}/emulators/linux_base-${OVERRIDE_LINUX_BASE_PORT}). - If USE_LINUX or OVERRIDE_LINUX_BASE doesn't point to an existing linux_base port and if USE_LINUX isn't set to "yes" (case insensitive), the port will be marked as IGNORE. [1] - Readd USE_LINUX knobs into several ports and make several uses of a conditional dependency ("USE_LINUX?=") into an unconditional one ("USE_LINUX=") which where removed/changed by Trevor to allow the use of alternative linux_base ports. While this is a nice goal, the implementation resulted in missing dependencies. The OVERRIDE_LINUX_BASE_PORT knob in this commit is supposed to fix the problem while keeping the feature. Basicaly this includes a backout of Trevor's commit, to prevent confusion I mention it here explicitely. - Use the correct prefix (X11- instead of LOCAL- or LINUX-) for some ports. Chase dependencies for this. - Changes to make linux_devtools installable on amd64, remove some stray device nodes (they don't work on recent OS versions and aren't really needed). - Make linux_base-8 PREFIX clean and remove some stray device nodes. Additionally tell a little bit more about how to setup NIS/YP [2]. - Update the PGSQL dependency in the linux-opengroupware port to a recent version (the old one isn't available anymore), I don't know if this works (at least it isn't more broken than before). - Use PREFIX/usr/share/doc instead of PREFIX/usr/doc in the divx4linux ports, the former path exists already and gets populated by other packages too (PREFIX=LINUXPREFIX!). - Fix some obvious (non-linuxolator) bugs in some linux ports while being there. - Bump PORTREVISION where neccesary. Requested by: portmgr (linimon) [1] Submittted by: Gerrit Kuehn v. 1.16 date: 2005/05/15 15:55:56; author: pav; state: Exp; lines: +1 -1 - Works on amd64 Approved by: netchild (maintainer)
v. 1.15 date: 2005/04/22 20:33:01; author: netchild; state: Exp; lines: +4 -3 - Update to 1.0.0.20. - Update the "bad soundcards" listing.
v. 1.14 date: 2005/03/06 13:33:41; author: netchild; state: Exp; lines: +1 -1 Update to 1.0.0.7.
v. 1.13 date: 2005/03/01 21:51:45; author: trevor; state: Exp; lines: +0 -1 Respect the user's USE_LINUX setting.
v. 1.12 date: 2005/02/04 18:16:01; author: rushani; state: Exp; lines: +2 -2 Update to 1.0.0.1. Approved by: netchild@ (MAINTAINER)
v. 1.11 date: 2005/01/20 14:04:13; author: netchild; state: Exp; lines: +2 -0 Add a note about the IGAIN messages.
v. 1.10 date: 2005/01/09 18:20:51; author: netchild; state: Exp; lines: +7 -5 Let skype know where the resources are located: - allows to use the sound files - enables the use of skype in your locale (if an translation is available)
v. 1.9 date: 2005/01/09 12:53:44; author: netchild; state: Exp; lines: +3 -4 Update to 0.93.0.3.
v. 1.8 date: 2004/12/31 18:24:04; author: netchild; state: Exp; lines: +4 -4 Say hello to the linux mega patch, it consolidates our linux bits a little bit and allows to proceed to a more recent linux_base from a stable (read as: the major bugs should be ironed out or identified and most linux ports build just fine) source. It also allows to ship 4.11 with a working linuxolator (the EOLed linux_base is marked forbidden because of a security hole). This is a major update, please read UPDATING (and CHANGES if you develop linux ports). Changes: - change the default linux_base from v7 to v8 - add a newer freetype to linux_base-8 for nicer fonts display [1] - don't let cpio use hardlinks in the linux_base-8 port to quiet some warnings in some cases [2] - fix a cut&past error in the linux_base-8 pkg-install script [3] - convert the binary knob "USE_LINUX" to a version specifier, e.g. USE_LINUX= specifies a dependency upon emulators/linux_base-, exceptions are a value of "7" (which does what you want and adds a dependency to linux_base) and any value without a corresponding port in PORTSDIR/emulators/linux_base- (which adds a dependency to the default linux_base) - don't implicitly add USE_LINUX with the USE_LINUX_PREFIX knob, this allows us to use the USE_LINUX_PREFIX knob for linux_base and paves the way for splitting up future linux base ports into individual pieces - remove RESTRICTED from some GPL licensed ports, even when we only distribute binaries, we get them from official linux sites, so anyone can grab them there if he needs to - add a dependency upon the linux X11 bits where necessary (based upon guesswork) - don't use USE_X_PREFIX in some linux ports since it adds a dependency to the FreeBSD X11 libs, as a workaround use PREFIX?= (the clean solution would be to remove the implicit USE_XLIB from USE_X_PREFIX) - bump the portv. of the linux ports ("better safe than sorry" algorithm) - pass maintainership of the important linux infrastructure to a mailinglist, hijack freebsd-emulation@ for this purpose (if somebody doesn't like this: tell us your bikeshed color at freebsd-emulation@, my color would be "linuxolator@" in case someone cares...) - add a pkg-install script for linux-fontconfig, but don't use it; everything should work without it (the FreeBSD fc-cache program should do all the work), but in case we need it we just need to decomment the pkg-install part in the Makefile - fix some dependencies - fix some bugs - add some static plists - unbreak the ports with dependecies to more than one linux_base This also fixes some ports which are marked BROKEN because of dependencies to v7 and v8 of linux_base at the same time. Known bugs: - the linux-mesa and linux-devtools ports install libGL*.so symlinks - some "minor" plist bugs (e.g. ld.so.{conf,cache} are modified by the linux X11 port, so linx_Base-8 moans at deinstall time) Future work (interested souls should coordinate with freebsd-emulation@): - add some kind of USE_LINUX_X11 knob to streamline the X11 dependencies, or modify the behavior of USE_XLIB in the USE_LINUX case AFAIK trevor has some patches. - make USE_XLIB and USE_X_PREFIX orthogonal to be able to get rid of the PREFIX?= workaround in some linux ports Should be discussed/coordinated on/with x11@. - move the RPM bits from x11-toolkits/linux-gtk/Makefile to PORTSDIR/Mk/ - update to a more recent linux base PR: 69997, 70539 (and maybe others) Discussed with/on: java@, x11@, trevor, portmgr Tested by: mezz, portmgr, pointyhat RPM hunted down by: Joseph Gelinas [1] Requested by: portmgr [2] Submitted by: kris [3] Approved by: portmgr
v. 1.7 date: 2004/11/16 18:01:06; author: marius; state: Exp; lines: +13 -11 On behalf of netchild: - update to 0.92.0.12 - add some soundcard reports [1] Submitted by: Amaury De Ganseman [1] robin lee [1] Approved by: netchild
v. 1.6 date: 2004/10/16 13:23:28; author: netchild; state: Exp; lines: +12 -2 - update to 0.92.0.2 [1] - list some known good and some probably bad soundcards [2] PR: 72068 [1] With help from: eculp@prodigy.ne [2]
v. 1.5 date: 2004/08/17 10:17:47; author: netchild; state: Exp; lines: +6 -1 Upate to 0.91.0.3. Language files and call_in.wav aren't installed yet, see the post-install message.
v. 1.4 date: 2004/08/16 07:42:55; author: netchild; state: Exp; lines: +4 -0 Temporary IGNORE in the PACKAGE_BUILDING case (a dependency depends upon linux_base, this conflicts with linux_base-8). Noticed by: kris (pointyhat)
v. 1.3 date: 2004/07/24 10:19:35; author: netchild; state: Exp; lines: +4 -2 - Update to 0.90.0.14. This version has some fixes for FreeBSD, you shouldn't need to apply a kernel patch to use it. - Let 'make' transform the version number for the distfile. - It's for i386 only (needs to be revisited if the 32bit layer of amd64 gains a linux emu). [1] - Install an icon to the correct place in the GNOME case. This also closes a PR with a version update. PR: 69510 Submitted by: marius [1]
v. 1.2 date: 2004/06/23 17:49:54; author: netchild; state: Exp; lines: +6 -3 - fix bug in RUN_DEPENDS [1] - add RESTRICTED (no redistribution allowed yet) - update to 0.90.0.4 If you get a login failure at registration time the user name may be already in use (but there's another bug here, the name may even be available). Don't expect to hear something yet, sound doesn't work on FreeBSD yet. I'm working with the skype staff on it. Noticed by: "Siraj Kutlusan" [1]
v. 1.1 date: 2004/06/23 10:06:46; author: netchild; state: Exp; Skype is a free program that uses the latest P2P technology to bring affordable and high-quality voice communications to people all over the world. This port needs linux_base-8, the default linux_base is v7.1. You should first replace the default linux_base with v8 with portupgrade: portupgrade -o emulators/linux_base-8 emulators/linux_base Then edit /usr/local/etc/pkgtools.conf, add the line emulators/linux_base' => 'emulators/linux_base-8', into "ALT_PKGDEP". This tells portupgrade to depend upon linux_base-8 instead upon linux_base-7.1 (where appropriate). This replacement shouldn't do any harm, I tested icc and the linux version of netscape navigator 4.8 with the new linux_base, and I haven't noticed bad behavior. ============================================================================= v. 1.37 date: 2007/11/01 12:24:53; author: beech; state: Exp; lines: +25 -21 - Revert to 1.2.0.18 Approved by: portmgr (linimon, kris), sat (mentor)
v. 1.36 date: 2007/10/29 19:36:50; author: beech; state: Exp; lines: +22 -35 - Update to 1.4.0.118 Approved by: sat (mentor)
v. 1.35 date: 2007/07/30 20:58:20; author: beech; state: Exp; lines: +1 -3 - Remove conflicts Approved by: sat (mentor, implicit)
v. 1.34 date: 2007/07/19 18:22:18; author: beech; state: Exp; lines: +12 -12 - Fix master_sites - Take maintainership Approved by: itetcu (maintainer), sat (mentor)
v. 1.33 date: 2007/05/19 20:19:01; author: flz; state: Exp; lines: +1 -1 - Welcome X.org 7.2 \o/. - Set X11BASE to ${LOCALBASE} for recent ${OSVERSION}. - Bump PORTREVISION for ports intalling files in ${X11BASE}.
v. 1.32 date: 2007/01/21 12:14:28; author: itetcu; state: Exp; lines: +1 -1 Relly fix NVIDIA_GL OPTION Submitted by: ale@
v. 1.31 date: 2007/01/21 10:49:48; author: itetcu; state: Exp; lines: +2 -2 - Properly test if the user wnats NVIDIA_GL - bump PORTREVISION for depends change Submitted by: Pierre Caruel
v. 1.30 date: 2007/01/08 23:53:42; author: miwi; state: Exp; lines: +8 -6 - Add nvidia as knob Submitted by: miwi Approved by: maintainer (itetcu@ on irc)
v. 1.29 date: 2006/10/14 08:54:26; author: marcus; state: Exp; lines: +4 -12 Chase the GNOME X11BASE to LOCALBASE move, and fix the build with the new freetype2 where needed. Submitted by: mezz, ahze, pav, and many others Approved by: portmgr (implicit, kris)
v. 1.28 date: 2006/09/10 10:31:11; author: itetcu; state: Exp; lines: +4 -1 - Now it conflicts with skype-devel - Bump PORTREVISION - Use my @FreeBSD.org address
v. 1.27 date: 2005/11/01 09:41:57; author: edwin; state: Exp; lines: +1 -1 [patch] net/skype - update to 1.2.0.18 (vulnerabilities fixed) Port updated to 1.2.0.18 due to security advisory http://www.skype.com/security/skype-sb-2005-02.html http://www.skype.com/security/skype-sb-2005-03.html http://secunia.com/advisories/17305/ Patch tested on 5.4-STABLE PR: ports/88072 Submitted by: Adi Pircalabu Approved by: Ion-Mihai Tetcu
v. 1.26 date: 2005/10/02 11:58:36; author: netchild; state: Exp; lines: +1 -1 Give maintainership to Ion-Mihai Tetcu.
v. 1.25 date: 2005/10/02 10:55:07; author: netchild; state: Exp; lines: +2 -2 - Release maintainership, feel free to grab it. - Update to 1.2.0.17 [1]. PR: 86699 Submitted by: Adi Pircalabu
v. 1.24 date: 2005/09/01 10:34:27; author: netchild; state: Exp; lines: +3 -6 - Update to 1.2.0.11. - Don't print the "SOUND_MIXER_WRITE_IGAIN failed" messages. It's handled differently than in the PR (which supresses all messages from skype). PR: 84745
v. 1.23 date: 2005/07/23 10:33:01; author: netchild; state: Exp; lines: +1 -15 Add a generic message regarding the problems with some soundcards.
v. 1.22 date: 2005/07/17 20:33:50; author: netchild; state: Exp; lines: +1 -1 Unbreak default GL lib dependency. Submitted by: Ulrich Spoerlein Pointy hat to: netchild
v. 1.21 date: 2005/07/17 10:07:44; author: netchild; state: Exp; lines: +2 -1 - linux_mesa3 -> linux_dri Submitted by: Ulrich Spoerlein
v. 1.20 date: 2005/07/09 11:08:05; author: netchild; state: Exp; lines: +2 -3 Update to 1.1.0.20. PR: 83105 Submitted by: I'm not sure...
v. 1.19 date: 2005/06/25 12:40:02; author: netchild; state: Exp; lines: +7 -2 Add WITH_NIVIDIA_GL switch to depend upon x11/nvidia-driver instead upon graphics/linux_mesa3. Requested by: Marius Nuennerich
v. 1.18 date: 2005/06/19 10:20:33; author: netchild; state: Exp; lines: +4 -2 Update to 1.1.0.13. Note: I have problems with it, I see empty boxes instead of characters. But since several people reported success, and some people (except me) got it working after removing ~/.qt*, I commit it anyway.
v. 1.17 date: 2005/06/17 22:59:23; author: netchild; state: Exp; lines: +3 -3 Mega-patch to cleanup the ports infrastructure regarding our linux bits: - USE_LINUX now implies NO_FILTER_SHLIBS=yes. It also doesn't use FreeBSD tools to strip binaries anymore, so it's not neccesary anymore to override STRIP and STRIP_CMD. - USE_LINUX_PREFIX implies NO_MTREE now. - In the USE_LINUX case, USE_XLIB now depends upon the linux X11 libraries instead upon the native FreeBSD libraries. - The variable LINUX_BASE_PORT contains a string which is suitable as an item in *_DEPENDS, so if a port BATCH_DEPENDS or FETCH_DEPENDS upon the default (or overriden) linux base, ${LINUX_BASE_PORT} should be used instead of a hardcoded reference. - Change all ports to comply to the "new world order". - The Ports Collection now allows to override the default linux_base port. Specify e.g. OVERRIDE_LINUX_BASE_PORT=rh-9 in /etc/make.conf to use ${PORTSDIR}/emulators/linux_base-rh-9 (the logic is to use ${PORTSDIR}/emulators/linux_base-${OVERRIDE_LINUX_BASE_PORT}). - If USE_LINUX or OVERRIDE_LINUX_BASE doesn't point to an existing linux_base port and if USE_LINUX isn't set to "yes" (case insensitive), the port will be marked as IGNORE. [1] - Readd USE_LINUX knobs into several ports and make several uses of a conditional dependency ("USE_LINUX?=") into an unconditional one ("USE_LINUX=") which where removed/changed by Trevor to allow the use of alternative linux_base ports. While this is a nice goal, the implementation resulted in missing dependencies. The OVERRIDE_LINUX_BASE_PORT knob in this commit is supposed to fix the problem while keeping the feature. Basicaly this includes a backout of Trevor's commit, to prevent confusion I mention it here explicitely. - Use the correct prefix (X11- instead of LOCAL- or LINUX-) for some ports. Chase dependencies for this. - Changes to make linux_devtools installable on amd64, remove some stray device nodes (they don't work on recent OS versions and aren't really needed). - Make linux_base-8 PREFIX clean and remove some stray device nodes. Additionally tell a little bit more about how to setup NIS/YP [2]. - Update the PGSQL dependency in the linux-opengroupware port to a recent version (the old one isn't available anymore), I don't know if this works (at least it isn't more broken than before). - Use PREFIX/usr/share/doc instead of PREFIX/usr/doc in the divx4linux ports, the former path exists already and gets populated by other packages too (PREFIX=LINUXPREFIX!). - Fix some obvious (non-linuxolator) bugs in some linux ports while being there. - Bump PORTREVISION where neccesary. Requested by: portmgr (linimon) [1] Submittted by: Gerrit Kuehn v. 1.16 date: 2005/05/15 15:55:56; author: pav; state: Exp; lines: +1 -1 - Works on amd64 Approved by: netchild (maintainer)
v. 1.15 date: 2005/04/22 20:33:01; author: netchild; state: Exp; lines: +4 -3 - Update to 1.0.0.20. - Update the "bad soundcards" listing.
v. 1.14 date: 2005/03/06 13:33:41; author: netchild; state: Exp; lines: +1 -1 Update to 1.0.0.7.
v. 1.13 date: 2005/03/01 21:51:45; author: trevor; state: Exp; lines: +0 -1 Respect the user's USE_LINUX setting.
v. 1.12 date: 2005/02/04 18:16:01; author: rushani; state: Exp; lines: +2 -2 Update to 1.0.0.1. Approved by: netchild@ (MAINTAINER)
v. 1.11 date: 2005/01/20 14:04:13; author: netchild; state: Exp; lines: +2 -0 Add a note about the IGAIN messages.
v. 1.10 date: 2005/01/09 18:20:51; author: netchild; state: Exp; lines: +7 -5 Let skype know where the resources are located: - allows to use the sound files - enables the use of skype in your locale (if an translation is available)
v. 1.9 date: 2005/01/09 12:53:44; author: netchild; state: Exp; lines: +3 -4 Update to 0.93.0.3.
v. 1.8 date: 2004/12/31 18:24:04; author: netchild; state: Exp; lines: +4 -4 Say hello to the linux mega patch, it consolidates our linux bits a little bit and allows to proceed to a more recent linux_base from a stable (read as: the major bugs should be ironed out or identified and most linux ports build just fine) source. It also allows to ship 4.11 with a working linuxolator (the EOLed linux_base is marked forbidden because of a security hole). This is a major update, please read UPDATING (and CHANGES if you develop linux ports). Changes: - change the default linux_base from v7 to v8 - add a newer freetype to linux_base-8 for nicer fonts display [1] - don't let cpio use hardlinks in the linux_base-8 port to quiet some warnings in some cases [2] - fix a cut&past error in the linux_base-8 pkg-install script [3] - convert the binary knob "USE_LINUX" to a version specifier, e.g. USE_LINUX= specifies a dependency upon emulators/linux_base-, exceptions are a value of "7" (which does what you want and adds a dependency to linux_base) and any value without a corresponding port in PORTSDIR/emulators/linux_base- (which adds a dependency to the default linux_base) - don't implicitly add USE_LINUX with the USE_LINUX_PREFIX knob, this allows us to use the USE_LINUX_PREFIX knob for linux_base and paves the way for splitting up future linux base ports into individual pieces - remove RESTRICTED from some GPL licensed ports, even when we only distribute binaries, we get them from official linux sites, so anyone can grab them there if he needs to - add a dependency upon the linux X11 bits where necessary (based upon guesswork) - don't use USE_X_PREFIX in some linux ports since it adds a dependency to the FreeBSD X11 libs, as a workaround use PREFIX?= (the clean solution would be to remove the implicit USE_XLIB from USE_X_PREFIX) - bump the portv. of the linux ports ("better safe than sorry" algorithm) - pass maintainership of the important linux infrastructure to a mailinglist, hijack freebsd-emulation@ for this purpose (if somebody doesn't like this: tell us your bikeshed color at freebsd-emulation@, my color would be "linuxolator@" in case someone cares...) - add a pkg-install script for linux-fontconfig, but don't use it; everything should work without it (the FreeBSD fc-cache program should do all the work), but in case we need it we just need to decomment the pkg-install part in the Makefile - fix some dependencies - fix some bugs - add some static plists - unbreak the ports with dependecies to more than one linux_base This also fixes some ports which are marked BROKEN because of dependencies to v7 and v8 of linux_base at the same time. Known bugs: - the linux-mesa and linux-devtools ports install libGL*.so symlinks - some "minor" plist bugs (e.g. ld.so.{conf,cache} are modified by the linux X11 port, so linx_Base-8 moans at deinstall time) Future work (interested souls should coordinate with freebsd-emulation@): - add some kind of USE_LINUX_X11 knob to streamline the X11 dependencies, or modify the behavior of USE_XLIB in the USE_LINUX case AFAIK trevor has some patches. - make USE_XLIB and USE_X_PREFIX orthogonal to be able to get rid of the PREFIX?= workaround in some linux ports Should be discussed/coordinated on/with x11@. - move the RPM bits from x11-toolkits/linux-gtk/Makefile to PORTSDIR/Mk/ - update to a more recent linux base PR: 69997, 70539 (and maybe others) Discussed with/on: java@, x11@, trevor, portmgr Tested by: mezz, portmgr, pointyhat RPM hunted down by: Joseph Gelinas [1] Requested by: portmgr [2] Submitted by: kris [3] Approved by: portmgr
v. 1.7 date: 2004/11/16 18:01:06; author: marius; state: Exp; lines: +13 -11 On behalf of netchild: - update to 0.92.0.12 - add some soundcard reports [1] Submitted by: Amaury De Ganseman [1] robin lee [1] Approved by: netchild
v. 1.6 date: 2004/10/16 13:23:28; author: netchild; state: Exp; lines: +12 -2 - update to 0.92.0.2 [1] - list some known good and some probably bad soundcards [2] PR: 72068 [1] With help from: eculp@prodigy.ne [2]
v. 1.5 date: 2004/08/17 10:17:47; author: netchild; state: Exp; lines: +6 -1 Upate to 0.91.0.3. Language files and call_in.wav aren't installed yet, see the post-install message.
v. 1.4 date: 2004/08/16 07:42:55; author: netchild; state: Exp; lines: +4 -0 Temporary IGNORE in the PACKAGE_BUILDING case (a dependency depends upon linux_base, this conflicts with linux_base-8). Noticed by: kris (pointyhat)
v. 1.3 date: 2004/07/24 10:19:35; author: netchild; state: Exp; lines: +4 -2 - Update to 0.90.0.14. This version has some fixes for FreeBSD, you shouldn't need to apply a kernel patch to use it. - Let 'make' transform the version number for the distfile. - It's for i386 only (needs to be revisited if the 32bit layer of amd64 gains a linux emu). [1] - Install an icon to the correct place in the GNOME case. This also closes a PR with a version update. PR: 69510 Submitted by: marius [1]
v. 1.2 date: 2004/06/23 17:49:54; author: netchild; state: Exp; lines: +6 -3 - fix bug in RUN_DEPENDS [1] - add RESTRICTED (no redistribution allowed yet) - update to 0.90.0.4 If you get a login failure at registration time the user name may be already in use (but there's another bug here, the name may even be available). Don't expect to hear something yet, sound doesn't work on FreeBSD yet. I'm working with the skype staff on it. Noticed by: "Siraj Kutlusan" [1]
v. 1.1 date: 2004/06/23 10:06:46; author: netchild; state: Exp; Skype is a free program that uses the latest P2P technology to bring affordable and high-quality voice communications to people all over the world. This port needs linux_base-8, the default linux_base is v7.1. You should first replace the default linux_base with v8 with portupgrade: portupgrade -o emulators/linux_base-8 emulators/linux_base Then edit /usr/local/etc/pkgtools.conf, add the line emulators/linux_base' => 'emulators/linux_base-8', into "ALT_PKGDEP". This tells portupgrade to depend upon linux_base-8 instead upon linux_base-7.1 (where appropriate). This replacement shouldn't do any harm, I tested icc and the linux version of netscape navigator 4.8 with the new linux_base, and I haven't noticed bad behavior. ============================================================================= v. 1.37 date: 2007/11/01 12:24:53; author: beech; state: Exp; lines: +25 -21 - Revert to 1.2.0.18 Approved by: portmgr (linimon, kris), sat (mentor)
v. 1.36 date: 2007/10/29 19:36:50; author: beech; state: Exp; lines: +22 -35 - Update to 1.4.0.118 Approved by: sat (mentor)
v. 1.35 date: 2007/07/30 20:58:20; author: beech; state: Exp; lines: +1 -3 - Remove conflicts Approved by: sat (mentor, implicit)
v. 1.34 date: 2007/07/19 18:22:18; author: beech; state: Exp; lines: +12 -12 - Fix master_sites - Take maintainership Approved by: itetcu (maintainer), sat (mentor)
v. 1.33 date: 2007/05/19 20:19:01; author: flz; state: Exp; lines: +1 -1 - Welcome X.org 7.2 \o/. - Set X11BASE to ${LOCALBASE} for recent ${OSVERSION}. - Bump PORTREVISION for ports intalling files in ${X11BASE}.
v. 1.32 date: 2007/01/21 12:14:28; author: itetcu; state: Exp; lines: +1 -1 Relly fix NVIDIA_GL OPTION Submitted by: ale@
v. 1.31 date: 2007/01/21 10:49:48; author: itetcu; state: Exp; lines: +2 -2 - Properly test if the user wnats NVIDIA_GL - bump PORTREVISION for depends change Submitted by: Pierre Caruel
v. 1.30 date: 2007/01/08 23:53:42; author: miwi; state: Exp; lines: +8 -6 - Add nvidia as knob Submitted by: miwi Approved by: maintainer (itetcu@ on irc)
v. 1.29 date: 2006/10/14 08:54:26; author: marcus; state: Exp; lines: +4 -12 Chase the GNOME X11BASE to LOCALBASE move, and fix the build with the new freetype2 where needed. Submitted by: mezz, ahze, pav, and many others Approved by: portmgr (implicit, kris)
v. 1.28 date: 2006/09/10 10:31:11; author: itetcu; state: Exp; lines: +4 -1 - Now it conflicts with skype-devel - Bump PORTREVISION - Use my @FreeBSD.org address
v. 1.27 date: 2005/11/01 09:41:57; author: edwin; state: Exp; lines: +1 -1 [patch] net/skype - update to 1.2.0.18 (vulnerabilities fixed) Port updated to 1.2.0.18 due to security advisory http://www.skype.com/security/skype-sb-2005-02.html http://www.skype.com/security/skype-sb-2005-03.html http://secunia.com/advisories/17305/ Patch tested on 5.4-STABLE PR: ports/88072 Submitted by: Adi Pircalabu Approved by: Ion-Mihai Tetcu
v. 1.26 date: 2005/10/02 11:58:36; author: netchild; state: Exp; lines: +1 -1 Give maintainership to Ion-Mihai Tetcu.
v. 1.25 date: 2005/10/02 10:55:07; author: netchild; state: Exp; lines: +2 -2 - Release maintainership, feel free to grab it. - Update to 1.2.0.17 [1]. PR: 86699 Submitted by: Adi Pircalabu
v. 1.24 date: 2005/09/01 10:34:27; author: netchild; state: Exp; lines: +3 -6 - Update to 1.2.0.11. - Don't print the "SOUND_MIXER_WRITE_IGAIN failed" messages. It's handled differently than in the PR (which supresses all messages from skype). PR: 84745
v. 1.23 date: 2005/07/23 10:33:01; author: netchild; state: Exp; lines: +1 -15 Add a generic message regarding the problems with some soundcards.
v. 1.22 date: 2005/07/17 20:33:50; author: netchild; state: Exp; lines: +1 -1 Unbreak default GL lib dependency. Submitted by: Ulrich Spoerlein Pointy hat to: netchild
v. 1.21 date: 2005/07/17 10:07:44; author: netchild; state: Exp; lines: +2 -1 - linux_mesa3 -> linux_dri Submitted by: Ulrich Spoerlein
v. 1.20 date: 2005/07/09 11:08:05; author: netchild; state: Exp; lines: +2 -3 Update to 1.1.0.20. PR: 83105 Submitted by: I'm not sure...
v. 1.19 date: 2005/06/25 12:40:02; author: netchild; state: Exp; lines: +7 -2 Add WITH_NIVIDIA_GL switch to depend upon x11/nvidia-driver instead upon graphics/linux_mesa3. Requested by: Marius Nuennerich
v. 1.18 date: 2005/06/19 10:20:33; author: netchild; state: Exp; lines: +4 -2 Update to 1.1.0.13. Note: I have problems with it, I see empty boxes instead of characters. But since several people reported success, and some people (except me) got it working after removing ~/.qt*, I commit it anyway.
v. 1.17 date: 2005/06/17 22:59:23; author: netchild; state: Exp; lines: +3 -3 Mega-patch to cleanup the ports infrastructure regarding our linux bits: - USE_LINUX now implies NO_FILTER_SHLIBS=yes. It also doesn't use FreeBSD tools to strip binaries anymore, so it's not neccesary anymore to override STRIP and STRIP_CMD. - USE_LINUX_PREFIX implies NO_MTREE now. - In the USE_LINUX case, USE_XLIB now depends upon the linux X11 libraries instead upon the native FreeBSD libraries. - The variable LINUX_BASE_PORT contains a string which is suitable as an item in *_DEPENDS, so if a port BATCH_DEPENDS or FETCH_DEPENDS upon the default (or overriden) linux base, ${LINUX_BASE_PORT} should be used instead of a hardcoded reference. - Change all ports to comply to the "new world order". - The Ports Collection now allows to override the default linux_base port. Specify e.g. OVERRIDE_LINUX_BASE_PORT=rh-9 in /etc/make.conf to use ${PORTSDIR}/emulators/linux_base-rh-9 (the logic is to use ${PORTSDIR}/emulators/linux_base-${OVERRIDE_LINUX_BASE_PORT}). - If USE_LINUX or OVERRIDE_LINUX_BASE doesn't point to an existing linux_base port and if USE_LINUX isn't set to "yes" (case insensitive), the port will be marked as IGNORE. [1] - Readd USE_LINUX knobs into several ports and make several uses of a conditional dependency ("USE_LINUX?=") into an unconditional one ("USE_LINUX=") which where removed/changed by Trevor to allow the use of alternative linux_base ports. While this is a nice goal, the implementation resulted in missing dependencies. The OVERRIDE_LINUX_BASE_PORT knob in this commit is supposed to fix the problem while keeping the feature. Basicaly this includes a backout of Trevor's commit, to prevent confusion I mention it here explicitely. - Use the correct prefix (X11- instead of LOCAL- or LINUX-) for some ports. Chase dependencies for this. - Changes to make linux_devtools installable on amd64, remove some stray device nodes (they don't work on recent OS versions and aren't really needed). - Make linux_base-8 PREFIX clean and remove some stray device nodes. Additionally tell a little bit more about how to setup NIS/YP [2]. - Update the PGSQL dependency in the linux-opengroupware port to a recent version (the old one isn't available anymore), I don't know if this works (at least it isn't more broken than before). - Use PREFIX/usr/share/doc instead of PREFIX/usr/doc in the divx4linux ports, the former path exists already and gets populated by other packages too (PREFIX=LINUXPREFIX!). - Fix some obvious (non-linuxolator) bugs in some linux ports while being there. - Bump PORTREVISION where neccesary. Requested by: portmgr (linimon) [1] Submittted by: Gerrit Kuehn v. 1.16 date: 2005/05/15 15:55:56; author: pav; state: Exp; lines: +1 -1 - Works on amd64 Approved by: netchild (maintainer)
v. 1.15 date: 2005/04/22 20:33:01; author: netchild; state: Exp; lines: +4 -3 - Update to 1.0.0.20. - Update the "bad soundcards" listing.
v. 1.14 date: 2005/03/06 13:33:41; author: netchild; state: Exp; lines: +1 -1 Update to 1.0.0.7.
v. 1.13 date: 2005/03/01 21:51:45; author: trevor; state: Exp; lines: +0 -1 Respect the user's USE_LINUX setting.
v. 1.12 date: 2005/02/04 18:16:01; author: rushani; state: Exp; lines: +2 -2 Update to 1.0.0.1. Approved by: netchild@ (MAINTAINER)
v. 1.11 date: 2005/01/20 14:04:13; author: netchild; state: Exp; lines: +2 -0 Add a note about the IGAIN messages.
v. 1.10 date: 2005/01/09 18:20:51; author: netchild; state: Exp; lines: +7 -5 Let skype know where the resources are located: - allows to use the sound files - enables the use of skype in your locale (if an translation is available)
v. 1.9 date: 2005/01/09 12:53:44; author: netchild; state: Exp; lines: +3 -4 Update to 0.93.0.3.
v. 1.8 date: 2004/12/31 18:24:04; author: netchild; state: Exp; lines: +4 -4 Say hello to the linux mega patch, it consolidates our linux bits a little bit and allows to proceed to a more recent linux_base from a stable (read as: the major bugs should be ironed out or identified and most linux ports build just fine) source. It also allows to ship 4.11 with a working linuxolator (the EOLed linux_base is marked forbidden because of a security hole). This is a major update, please read UPDATING (and CHANGES if you develop linux ports). Changes: - change the default linux_base from v7 to v8 - add a newer freetype to linux_base-8 for nicer fonts display [1] - don't let cpio use hardlinks in the linux_base-8 port to quiet some warnings in some cases [2] - fix a cut&past error in the linux_base-8 pkg-install script [3] - convert the binary knob "USE_LINUX" to a version specifier, e.g. USE_LINUX= specifies a dependency upon emulators/linux_base-, exceptions are a value of "7" (which does what you want and adds a dependency to linux_base) and any value without a corresponding port in PORTSDIR/emulators/linux_base- (which adds a dependency to the default linux_base) - don't implicitly add USE_LINUX with the USE_LINUX_PREFIX knob, this allows us to use the USE_LINUX_PREFIX knob for linux_base and paves the way for splitting up future linux base ports into individual pieces - remove RESTRICTED from some GPL licensed ports, even when we only distribute binaries, we get them from official linux sites, so anyone can grab them there if he needs to - add a dependency upon the linux X11 bits where necessary (based upon guesswork) - don't use USE_X_PREFIX in some linux ports since it adds a dependency to the FreeBSD X11 libs, as a workaround use PREFIX?= (the clean solution would be to remove the implicit USE_XLIB from USE_X_PREFIX) - bump the portv. of the linux ports ("better safe than sorry" algorithm) - pass maintainership of the important linux infrastructure to a mailinglist, hijack freebsd-emulation@ for this purpose (if somebody doesn't like this: tell us your bikeshed color at freebsd-emulation@, my color would be "linuxolator@" in case someone cares...) - add a pkg-install script for linux-fontconfig, but don't use it; everything should work without it (the FreeBSD fc-cache program should do all the work), but in case we need it we just need to decomment the pkg-install part in the Makefile - fix some dependencies - fix some bugs - add some static plists - unbreak the ports with dependecies to more than one linux_base This also fixes some ports which are marked BROKEN because of dependencies to v7 and v8 of linux_base at the same time. Known bugs: - the linux-mesa and linux-devtools ports install libGL*.so symlinks - some "minor" plist bugs (e.g. ld.so.{conf,cache} are modified by the linux X11 port, so linx_Base-8 moans at deinstall time) Future work (interested souls should coordinate with freebsd-emulation@): - add some kind of USE_LINUX_X11 knob to streamline the X11 dependencies, or modify the behavior of USE_XLIB in the USE_LINUX case AFAIK trevor has some patches. - make USE_XLIB and USE_X_PREFIX orthogonal to be able to get rid of the PREFIX?= workaround in some linux ports Should be discussed/coordinated on/with x11@. - move the RPM bits from x11-toolkits/linux-gtk/Makefile to PORTSDIR/Mk/ - update to a more recent linux base PR: 69997, 70539 (and maybe others) Discussed with/on: java@, x11@, trevor, portmgr Tested by: mezz, portmgr, pointyhat RPM hunted down by: Joseph Gelinas [1] Requested by: portmgr [2] Submitted by: kris [3] Approved by: portmgr
v. 1.7 date: 2004/11/16 18:01:06; author: marius; state: Exp; lines: +13 -11 On behalf of netchild: - update to 0.92.0.12 - add some soundcard reports [1] Submitted by: Amaury De Ganseman [1] robin lee [1] Approved by: netchild
v. 1.6 date: 2004/10/16 13:23:28; author: netchild; state: Exp; lines: +12 -2 - update to 0.92.0.2 [1] - list some known good and some probably bad soundcards [2] PR: 72068 [1] With help from: eculp@prodigy.ne [2]
v. 1.5 date: 2004/08/17 10:17:47; author: netchild; state: Exp; lines: +6 -1 Upate to 0.91.0.3. Language files and call_in.wav aren't installed yet, see the post-install message.
v. 1.4 date: 2004/08/16 07:42:55; author: netchild; state: Exp; lines: +4 -0 Temporary IGNORE in the PACKAGE_BUILDING case (a dependency depends upon linux_base, this conflicts with linux_base-8). Noticed by: kris (pointyhat)
v. 1.3 date: 2004/07/24 10:19:35; author: netchild; state: Exp; lines: +4 -2 - Update to 0.90.0.14. This version has some fixes for FreeBSD, you shouldn't need to apply a kernel patch to use it. - Let 'make' transform the version number for the distfile. - It's for i386 only (needs to be revisited if the 32bit layer of amd64 gains a linux emu). [1] - Install an icon to the correct place in the GNOME case. This also closes a PR with a version update. PR: 69510 Submitted by: marius [1]
v. 1.2 date: 2004/06/23 17:49:54; author: netchild; state: Exp; lines: +6 -3 - fix bug in RUN_DEPENDS [1] - add RESTRICTED (no redistribution allowed yet) - update to 0.90.0.4 If you get a login failure at registration time the user name may be already in use (but there's another bug here, the name may even be available). Don't expect to hear something yet, sound doesn't work on FreeBSD yet. I'm working with the skype staff on it. Noticed by: "Siraj Kutlusan" [1]
v. 1.1 date: 2004/06/23 10:06:46; author: netchild; state: Exp; Skype is a free program that uses the latest P2P technology to bring affordable and high-quality voice communications to people all over the world. This port needs linux_base-8, the default linux_base is v7.1. You should first replace the default linux_base with v8 with portupgrade: portupgrade -o emulators/linux_base-8 emulators/linux_base Then edit /usr/local/etc/pkgtools.conf, add the line emulators/linux_base' => 'emulators/linux_base-8', into "ALT_PKGDEP". This tells portupgrade to depend upon linux_base-8 instead upon linux_base-7.1 (where appropriate). This replacement shouldn't do any harm, I tested icc and the linux version of netscape navigator 4.8 with the new linux_base, and I haven't noticed bad behavior. =============================================================================



Main menu

FreeBSD

Program categories

Freebsd accessibility
Freebsd archivers
Freebsd astro
Freebsd audio
Freebsd benchmarks
Freebsd biology
Freebsd cad
Freebsd chinese
Freebsd comms
Freebsd converters
Freebsd databases
Freebsd deskutils
Freebsd devel
Freebsd dns
Freebsd editors
Freebsd emulators
Freebsd finance
Freebsd french
Freebsd ftp
Freebsd games
Freebsd german
Freebsd graphics
Freebsd hebrew
Freebsd hungarian
Freebsd irc
Freebsd japanese
Freebsd java
Freebsd korean
Freebsd lang
Freebsd mail
Freebsd math
Freebsd mbone
Freebsd misc
Freebsd multimedia
Freebsd net
Freebsd net-im
Freebsd net-mgmt
Freebsd net-p2p
Freebsd news
Freebsd palm
Freebsd polish
Freebsd ports-mgmt
Freebsd portuguese
Freebsd print
Freebsd russian
Freebsd science
Freebsd security
Freebsd shells
Freebsd sysutils
Freebsd textproc
Freebsd ukrainian
Freebsd vietnamese
Freebsd www
Freebsd x11
Freebsd x11-clocks
Freebsd x11-drivers
Freebsd x11-fm
Freebsd x11-fonts
Freebsd x11-servers
Freebsd x11-themes
Freebsd x11-toolkits
Freebsd x11-wm